<?php
require_once('simpletest/autorun.php');
require_once('mydiv.php');

class DemoTest extends UnitTestCase {
	function testDivideIntegers() {
		$this->assertEqual(myDiv(10, 5), 2);
	}

	function testDiveideFloats() {
		$this->assertEqual(myDiv(10, 4), 2.5);
	}
	function testDiveideBigFloats() {
		$this->assertWithinMargin(myDiv(10, 3), 3.333, 0.0004);
	}

	function testDivByZero() {
		$this->expectException(new Exception('DivByZero'));
		myDiv(10, 0);
	}
}

?>
